'' +--------------------------------------------------------------------------+
'' | SphinxOS   An Operating System for the Propeller Chip                    |
'' +--------------------------------------------------------------------------+
'' |                     HUB DEFINITIONS                                      |
'' +--------------------------------------------------------------------------+
'' |  License            MIT License                                          |
'' +--------------------------------------------------------------------------+
'' RR20100216   Seperate file: by Cluso99   (v0.002)
'' RR20100217   Note the spi buffers seem to be position dependant !!!

con
{ temporary !!!
'Hub Rendezvous locations...
  _HubTop       = $8000       - 1 * 4    'stores the top of hub used (for max avail user hub)
  _StdOut       = _HubTop     - 1 * 4    'standard output rendezvous
  _StdIn        = _StdOut     - 1 * 4    'standard input  rendezvous
  _AuxOut       = _StdIn      - 1 * 4    'auxilary output rendezvous
  _AuxIn        = _AuxOut     - 1 * 4    'auxilary input  rendezvous
  _User1        = _AuxIn      - 1 * 4    'user 1          rendezvous
  _User2        = _User1      - 1 * 4    'user 2          rendezvous
  _User3        = _User2      - 1 * 4    'user 3          rendezvous
  _User4        = _User3      - 1 * 4    'user 4          rendezvous
  _SDSPI        = _User4      - 3 * 4    '3 rendezvous variables \ fsrw routines
  _SXFS2        = _SDSPI      - 4 * 4    '4 rendezvous variables |
  _SXFS         = _SXFS2      - 4 * 4    '4 rendezvous variables |
  _SDbuffer     = _SXFSR      - 512      'buffer                 /
  _Screen       = _SDbuffer   - 2048     'screen text buffer 80*25=2000 (48 undefined for now)
  _Font         = _Screen     - 1024     'font 128 chars of 8x8 LSB first
  _FreeBelow    = _Font                  'to be set into _HubTop

'  _free = ($8000 - METADATABUFFER) / 4          '??? what does this do? and is it in error?
'  _free = METADATABUFFER / 4                    'should it be this?
}


'Currently ALL the following is position dependant (but where???)
  _StdOut  = $8000   - 1 * 4                 'standard output rendezvous
  _StdIn   = $8000   - 2 * 4                 'standard input  rendezvous
  SDSPIRENDEZVOUS   = $8000 - (2 * 4) - 3 * 4   '3 rendezvous variables \ fsrw routines
  SXFS2RENDEZVOUS   = SDSPIRENDEZVOUS - 4 * 4   '4 rendezvous variables |
  SXFSRENDEZVOUS    = SXFS2RENDEZVOUS - 4 * 4   '4 rendezvous variables |
  METADATABUFFER    = SXFSRENDEZVOUS - 512      'buffer                 /

'_free = ($8000 - METADATABUFFER) / 4

  
PUB dummy